Gem::Specification.new do |spec|
  spec.name          = 'sashite'
  spec.version       = File.read('VERSION.semver').chomp
  spec.authors       = ['Cyril Wack']
  spec.email         = ['contact@cyril.email']

  spec.summary       = 'A Ruby client for the Sashite API'
  spec.description   = 'A Ruby client for the Sashite API.'
  spec.homepage      = 'https://github.com/sashite/sashite-ruby'
  spec.license       = 'MIT'

  spec.files         =
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^test/}) }
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'httparty',               '~> 0.13.7'

  spec.add_development_dependency 'bundler',    '~> 1.10'
  spec.add_development_dependency 'fix',        '~> 0.12'
  spec.add_development_dependency 'rake',       '~> 10.4'
  spec.add_development_dependency 'rubocop',    '~> 0.34'
  spec.add_development_dependency 'simplecov',  '~> 0.10'
  spec.add_development_dependency 'webmock',    '~> 1.21'
  spec.add_development_dependency 'yard',       '~> 0.8'

  spec.cert_chain   = ['certs/gem-sashite-public_cert.pem']
  private_key       = File.expand_path('~/.ssh/gem-sashite-private_key.pem')
  spec.signing_key  = private_key if File.exist?(private_key)
end
